InvalidServiceComponentException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.selection
Class InvalidServiceComponentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.tv.service.selection.ServiceContextException
                  javax.tv.service.selection.InvalidServiceComponentException

All Implemented Interfaces:
  Serializable

    public class InvalidServiceComponentException

extends ServiceContextException

This exception is thrown when one or more service components are not valid for usage in a particular context. If multiple service components are simultaneously invalid, this exception reports one of them.

See Also:
  Serialized Form

Constructor Summary
`InvalidServiceComponentException(Locator component)` Constructs an `InvalidServiceComponentException` with no detail message.
`InvalidServiceComponentException(Locator component, String reason)` Constructs an `InvalidServiceComponentException` with the specified detail message.

Method Summary
`Locator` | `getInvalidServiceComponent()` Reports the offending service components.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidServiceComponentException

    public InvalidServiceComponentException(Locator component)

  Constructs an `InvalidServiceComponentException` with no detail message.

  Parameters:
    `component` - A locator indicating the offending service component.

### InvalidServiceComponentException

    public InvalidServiceComponentException(Locator component,
                                            String reason)

  Constructs an `InvalidServiceComponentException` with the specified detail message.

  Parameters:
    `component` - A locator indicating the offending service component.
    `reason` - The reason why this component is invalid.

Method Detail

### getInvalidServiceComponent

    public Locator getInvalidServiceComponent()

  Reports the offending service components.

  Returns:
    A locator indicating the service component that caused the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD